$(function () {

    $('#frmEditar').form({
    	keyboardShortcuts: false,
    	fields: {
	      	razon_social: {
		        rules: [{ type : 'empty', prompt : 'Complete este campo'}]
		    },
		    ruc: {
		        rules: [
			        { type : 'empty', prompt : 'Complete este campo'},
			        { type : 'integer', prompt : 'Ingrese solo números'},
			        { type : 'exactLength[11]', prompt : 'El RUC debe tener {ruleValue} digitos'}
		        ]
		    },
		    representante: {
		        rules: [{ type : 'empty', prompt : 'Complete este campo'}]
		    },
		    direccion: {
		        rules: [{ type : 'empty', prompt : 'Complete este campo'}]
		    },
		    dni: {
		        rules: [
			        { type : 'empty', prompt : 'Complete este campo'},
			        { type : 'integer', prompt : 'Ingrese solo números'},
			        { type : 'exactLength[8]', prompt : 'El DNI debe tener {ruleValue} digitos'}
		        ]
		    },
		    autorizacion: {
		        rules: [{ type : 'empty', prompt : 'Complete este campo'}]
		    },
		    email: {
		        rules: [
		        	{ type : 'empty', prompt : 'Complete este campo'},
		        	{ type : 'email', prompt : 'Ingrese un email valido'}
		        ]
		    },
		    telefono: {
		        rules: [
		        	{ type : 'empty', prompt : 'Complete este campo'},
		        ]
		    },
		    pagina_web: {
		        rules: [{ type : 'empty', prompt : 'Complete este campo'}]
		    },
		    ubigeo: {
		        rules: [{ type : 'empty', prompt : 'Complete este campo'}]
		    },
		    valor_impuesto: {
		        rules: [
			        { type : 'empty', prompt : 'Complete este campo'},
			        { type   : 'regExp[/^[0-9]+([\.]{1}[0-9]+)?$/]', prompt : 'Ingrese un valor valido'},
		        ]
		    },
		    valor_icbper: {
		        rules: [
			        { type : 'empty', prompt : 'Complete este campo'},
			        { type   : 'regExp[/^[0-9]+([\.]{1}[0-9]+)?$/]', prompt : 'Ingrese un valor valido'},
		        ]
		    },

		    porcentaje_detraccion: {
		        rules: [
			        { type : 'empty', prompt : 'Complete este campo'},
			        { type   : 'regExp[/^[0-9]+([\.]{1}[0-9]+)?$/]', prompt : 'Ingrese un valor valido'},
		        ]
		    },

		    porcentaje_retencion: {
		        rules: [
			        { type : 'empty', prompt : 'Complete este campo'},
			        { type   : 'regExp[/^[0-9]+([\.]{1}[0-9]+)?$/]', prompt : 'Ingrese un valor valido'},
		        ]
		    },

		    cuenta_detraccion: {
		        rules: [{ type : 'empty', prompt : 'Complete este campo'}]
		    },
		    
    	},
    	inline : true,
  
    });

	$('.btn_guardar').on('click', function() {
		if ($('#frmEditar').form('is valid')) {
			$('#update_modal').modal({
  				closable: false,
		    	onApprove : function() {
		    		sendForm();
			    }
	  		}).modal('show'); 
		} else {
			$('#frmEditar').form('validate form');
		}
  	});
  	
	function sendForm() {

	    /*var data = $('#frmEditar').serialize();

        $.requestApi('/empresa/actualizar', data, 'POST', function (resolve) {
	        if (resolve) {
	           //$.showMessages(resolve);
	           console.log(resolve);
	        }
	    });*/


	   var form = $('#frmEditar')[0];
       var data = new FormData(form); 
        $.requestApiFile('/empresa/actualizar', data, 'POST', function (resolve) {
	        if (resolve) {
	            $.showMessages(resolve, true ,APP_URL+"/empresa/editar/1");
	            //console.log(resolve)
	        }
	    });
        
        return false;
	};



	/******************************************************************************/
	/* input cargar logo
	/******************************************************************************/

	$('#cargar1').on('click', function(e) {
    	$('#file-logo', $(e.target).parents()).click();
	});

	$('#file-logo').on('change', function(e) {
	    var name = e.target.files[0].name;
	    $('#texto-logo', $(e.target).parent()).val(name);
	});

	/******************************************************************************/
	/* input cargar certificado
	/******************************************************************************/
	$('#cargar2').on('click', function(e) {
    	$('#file-certificado', $(e.target).parents()).click();
	});

	$('#file-certificado').on('change', function(e) {
	    var name = e.target.files[0].name;
	    $('#texto-certificado', $(e.target).parent()).val(name);
	});

});
